#if !defined(AFX_OPTIONS_H__C36650D6_24B8_11D3_B070_006008413DCA__INCLUDED_)
#define AFX_OPTIONS_H__C36650D6_24B8_11D3_B070_006008413DCA__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// Options.h : header file
//
#include "TestDoc.h"

/////////////////////////////////////////////////////////////////////////////
// COptions dialog

class COptions : public CDialog
{
// Construction
public:
	CTestDoc * pDoc;
//	CTestView * pView;
	COptions(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(COptions)
	enum { IDD = IDD_DIALOG5 };
	CEdit	m_edStep;
	CEdit	m_edYsize;
	CEdit	m_edXsize;
	CSpinButtonCtrl	m_sStep;
	CSpinButtonCtrl	m_sYsize;
	CSpinButtonCtrl	m_sXsize;
	int		m_critery;
	BOOL	m_pause;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COptions)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(COptions)
	afx_msg void OnUpdateEdit1();
	virtual BOOL OnInitDialog();
	afx_msg void OnDeltaposSpin1(NMHDR* pNMHDR, LRESULT* pResult);
	virtual void OnOK();
	afx_msg void OnRadio1();
	afx_msg void OnRadio2();
	afx_msg void OnRadio3();
	afx_msg void OnCheck1();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OPTIONS_H__C36650D6_24B8_11D3_B070_006008413DCA__INCLUDED_)
